Internal Billing Webhook
gateway からの署名検証済み Stripe イベントを受ける(内部のみ)。
POST
/internal/billing/webhookHeader parameters
x-internal-secretstring | anyRequest body
requiredapplication/jsontypestringrequiredevent_idstringdefault: ""
stripe_eventobjectdefault: {}
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/internal/billing/webhook" \
-H "Content-Type: application/json" \
-d '{
"type": "string",
"event_id": "",
"stripe_event": {}
}'const response = await fetch("/internal/billing/webhook", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"type": "string",
"event_id": "",
"stripe_event": {}
})
});import requests
response = requests.post(
"/internal/billing/webhook",
headers={
"Content-Type": "application/json"
},
json={
"type": "string",
"event_id": "",
"stripe_event": {}
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}